SFML 2.3.1

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

sf::Utf< N > Class Template Reference
System module

Utility class providing generic functions for UTF conversions. More...

`#include <Utf.hpp>`

## Detailed Description

### template<unsigned int N>
class sf::Utf< N >

Utility class providing generic functions for UTF conversions.

sf::Utf is a low-level, generic interface for counting, iterating, encoding and decoding Unicode characters and strings. It is able to handle ANSI, wide, latin-1, UTF-8, UTF-16 and UTF-32 encodings.

sf::Utf<X> functions are all static, these classes are not meant to be instantiated. All the functions are template, so that you can use any character / string type for a given encoding.

It has 3 specializations:

- sf::Utf<8> (typedef'd to sf::Utf8)
- sf::Utf<16> (typedef'd to sf::Utf16)
- sf::Utf<32> (typedef'd to sf::Utf32)

Definition at line 41 of file Utf.hpp.

The documentation for this class was generated from the following file:

- Utf.hpp